layers(5).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
width(3,9).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
width(4,9).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
in_layer(4,n41).
in_layer(4,n42).
in_layer(4,n43).
in_layer(4,n44).
in_layer(4,n45).
edge(n26,n29).
edge(n19,n33).
edge(n4,n14).
edge(n18,n24).
edge(n28,n43).
edge(n28,n45).
edge(n32,n39).
edge(n34,n41).
edge(n24,n30).
edge(n21,n28).
edge(n11,n19).
edge(n18,n26).
edge(n25,n35).
edge(n10,n21).
edge(n36,n38).
edge(n26,n35).
edge(n21,n30).
edge(n12,n25).
edge(n4,n11).
edge(n9,n17).
edge(n12,n21).
edge(n24,n33).
edge(n23,n36).
edge(n1,n17).
edge(n30,n38).
edge(n16,n24).
edge(n30,n39).
edge(n36,n44).
edge(n1,n15).
edge(n33,n38).
edge(n27,n35).
edge(n18,n19).
edge(n30,n44).
edge(n9,n18).
edge(n35,n43).
edge(n10,n23).
edge(n2,n17).
edge(n34,n43).
edge(n15,n20).
edge(n36,n42).
edge(n20,n29).
edge(n19,n29).
edge(n10,n27).
edge(n8,n17).
edge(n2,n18).
edge(n22,n29).
edge(n2,n11).
edge(n20,n35).
edge(n29,n41).
edge(n29,n43).
edge(n20,n33).
edge(n6,n10).
edge(n5,n14).
edge(n4,n10).
edge(n32,n41).
edge(n22,n35).
edge(n7,n18).
edge(n3,n14).
edge(n19,n35).
edge(n31,n43).
edge(n16,n20).
edge(n4,n18).
edge(n26,n34).
edge(n1,n12).
